# ADAPOS Modelling

A formal modelling project for the ALICE Data Point Service. The goal is to
verify certain safety and liveness properties for the distributed system ADAPOS.

The model has the following variants:

| Variant                     | Branch                           |
| :-------------------------- | :------------------------------- |
| Base                        | `master`                         |
| Direct Input                | `directInput`                    |
| Input Counters              | `inputCounters`                  |
| Direct Input and Counters   | `directInputCounters`            |
| Structured Input            | `inputPairs`                     |
| Structured Input and Output | `inputOutputPairs`               |
| Input Channels              | `inputOutputPairs-inputChannels` |
| Input and Output Channels   | `InputOutputPairsAndChannels`    |

The figure below demonstrates the relationships between the variants:

[Relationships of the variants](Branches.png)
